package com.example.elgayyar.eggtimer1;

import android.media.MediaPlayer;
import android.os.Bundle;
import android.os.CountDownTimer;
import android.support.v7.app.AppCompatActivity;
import android.view.View;
import android.widget.Button;
import android.widget.SeekBar;
import android.widget.TextView;

public class MainActivity extends AppCompatActivity {
    SeekBar timerSeekBar;
    TextView timerTextView;
    Button  controlTimerButton;
    Boolean counterIsActive=false;
    CountDownTimer myTimer;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        timerSeekBar= (SeekBar) findViewById(R.id.timerSeekBar);
        timerTextView=(TextView)findViewById(R.id.timerTextView);
        controlTimerButton=(Button)findViewById(R.id.controllerButton);
        timerSeekBar.setMax(10*60);
        timerSeekBar.setProgress(30);
        timerSeekBar.setOnSeekBarChangeListener(new SeekBar.OnSeekBarChangeListener() {
            @Override
            public void onProgressChanged(SeekBar seekBar, int progress, boolean b) {
                updateTimer(progress);
            }

            @Override
            public void onStartTrackingTouch(SeekBar seekBar) {

            }

            @Override
            public void onStopTrackingTouch(SeekBar seekBar) {

            }
        });

    }

    private void updateTimer(int progress) {

        int minutes= progress/60;
        int seconds=progress%60;
        String minutesString=String.format("%02d", minutes);
        String secondsString=String.format("%02d", seconds);

        timerTextView.setText(minutesString+":"+secondsString);
    }

    //control timer button clicked
    public void controlTimer(View view) {
        if(counterIsActive==false) {
                counterIsActive = true;
                timerSeekBar.setEnabled(false);
                controlTimerButton.setText("Stop");
                //create countdown
                myTimer= new CountDownTimer(timerSeekBar.getProgress() * 1000 + 100, 1000) {

                    @Override
                    public void onTick(long l) {
                        updateTimer((int) l / 1000);
                    }

                    @Override
                    public void onFinish() {
                        timerTextView.setText("00:00");
                        MediaPlayer mplayer = MediaPlayer.create(getApplicationContext(), R.raw.air_horn);
                        mplayer.start();
                    }
                }.start();
        }
        else{
            counterIsActive=false;
            timerSeekBar.setEnabled(true);
            controlTimerButton.setText("Go!");
            timerTextView.setText("00:30");
            timerSeekBar.setProgress(30);
            myTimer.cancel();

        }
    }
}
